/*
Microsoft object SP.Web
https://learn.microsoft.com/en-us/previous-versions/office/sharepoint-visio/jj245288(v=office.15)
*/

export interface SpWeb {
  __metadata: {
    id: string;
    uri: string;
    type: string;
  };
  FirstUniqueAncestorSecurableObject: object;
  RoleAssignments: object;
  AccessRequestsList: object;
  Activities: object;
  ActivityLogger: object;
  Alerts: object;
  AllProperties: object;
  AppTiles: object;
  AssociatedMemberGroup: object;
  AssociatedOwnerGroup: object;
  AssociatedVisitorGroup: object;
  Author: object;
  AvailableContentTypes: object;
  AvailableFields: object;
  CanModernizeHomepage: object;
  ClientWebParts: object;
  ContentTypes: object;
  CurrentUser: object;
  DataLeakagePreventionStatusInfo: object;
  DescriptionResource: object;
  EventReceivers: object;
  Features: object;
  Fields: object;
  Folders: object;
  HostedApps: object;
  Lists: object;
  ListTemplates: object;
  MultilingualSettings: object;
  Navigation: object;
  OneDriveSharedItems: object;
  ParentWeb: object;
  PushNotificationSubscribers: object;
  RecycleBin: object;
  RegionalSettings: object;
  RoleDefinitions: object;
  RootFolder: object;
  SiteCollectionAppCatalog: object;
  SiteGroups: object;
  SiteUserInfoList: object;
  SiteUsers: object;
  TenantAppCatalog: object;
  ThemeInfo: object;
  TitleResource: object;
  UserCustomActions: object;
  Webs: object;
  WebInfos: object;
  WorkflowAssociations: object;
  WorkflowTemplates: object;
  AllowRssFeeds: true;
  AlternateCssUrl: string;
  AppInstanceId: string;
  ClassicWelcomePage: null;
  Configuration: number;
  Created: string;
  CurrentChangeToken: {
    __metadata: object;
    StringValue: string;
  };
  CustomMasterUrl: string;
  Description: string;
  DesignPackageId: string;
  DocumentLibraryCalloutOfficeWebAppPreviewersDisabled: boolean;
  EnableMinimalDownload: boolean;
  FooterEmphasis: number;
  FooterEnabled: boolean;
  FooterLayout: number;
  HeaderEmphasis: number;
  HeaderLayout: number;
  HideTitleInHeader: boolean;
  HorizontalQuickLaunch: boolean;
  Id: string;
  IsEduClass: boolean;
  IsEduClassProvisionChecked: boolean;
  IsEduClassProvisionPending: boolean;
  IsHomepageModernized: boolean;
  IsMultilingual: boolean;
  IsRevertHomepageLinkHidden: boolean;
  Language: number;
  LastItemModifiedDate: string;
  LastItemUserModifiedDate: string;
  LogoAlignment: number;
  MasterUrl: string;
  MegaMenuEnabled: boolean;
  NavAudienceTargetingEnabled: boolean;
  NoCrawl: boolean;
  ObjectCacheEnabled: boolean;
  OverwriteTranslationsOnChange: boolean;
  ResourcePath: {
    __metadata: object;
    DecodedUrl: string;
  };
  QuickLaunchEnabled: boolean;
  RecycleBinEnabled: boolean;
  SearchScope: number;
  ServerRelativeUrl: string;
  SiteLogoUrl: string;
  SyndicationEnabled: boolean;
  TenantAdminMembersCanShare: number;
  Title: string;
  TreeViewEnabled: boolean;
  UIVersion: number;
  UIVersionConfigurationEnabled: boolean;
  Url: string;
  WebTemplate: string;
  WelcomePage: string;
}
